Tools
Create a new tool definition
POST
Create a new tool definition
Authorizations
Use Authorization: Bearer <api_key>.
Body
application/json
Tool function name. Must be unique.
Required string length:
1 - 64Pattern:
^[a-zA-Z0-9._-]+$Example:
"get_order_status"
What this tool does. This is shown to the LLM to help it decide when to call the tool.
Required string length:
1 - 500Example:
"Fetch an order status using an orderId."
JSON Schema object describing the tool function parameters.
Example:
{
"type": "object",
"properties": { "orderId": { "type": "string" } },
"required": ["orderId"]
}Invocation settings for the tool endpoint.
Example:
{
"url": "https://api.client.com/tools/get-order-status",
"method": "POST",
"timeoutMs": 10000
}Authentication used when calling the endpoint. Secrets should be stored securely server-side.
- Option 1
- Option 2
- Option 3
Example:
{ "type": "bearer" }Whether this tool is enabled and can be used by the agent.
Example:
true
Response
Tool definition created successfully
Create a new tool definition